WriteTenantInfoData
POST
/v2.0/tenant_info
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/tenant_info';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"occupation":"example","marital_status":"example","partners_occupation":"example","additional_information":"example","smoker":{"formType":"example","Label":"example","value":"example"},"rented_accomodation":{"formType":"example","Label":"example","value":"example"},"children":{"no_of_children":[{"age_of_children":"example"}],"level_2_Label":"example","level_1_Label":"example","level_2_key":"example","level_1_key":"example","formType":"example","Label":"example","value":"example"},"additional_occupants":{"no_of_occupants":[{"occupation_of_occupants":"example"}],"level_2_Feild":"example","level_2_Label":"example","level_1_Label":"example","level_1_key":"example","level_2_key":"example","formType":"example","Label":"example","value":"example"},"pets":{"level_2_Feild":"example","level_2_Label":"example","level_1_Label":"example","level_2_key":"example","level_1_key":"example","no_of_pets":[{"type_of_pets":"example"}],"formType":"example","Label":"example","value":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://wl.api.cluster.openbrix.co.uk/v2.0/tenant_info \ --header 'Content-Type: application/json' \ --data '{ "occupation": "example", "marital_status": "example", "partners_occupation": "example", "additional_information": "example", "smoker": { "formType": "example", "Label": "example", "value": "example" }, "rented_accomodation": { "formType": "example", "Label": "example", "value": "example" }, "children": { "no_of_children": [ { "age_of_children": "example" } ], "level_2_Label": "example", "level_1_Label": "example", "level_2_key": "example", "level_1_key": "example", "formType": "example", "Label": "example", "value": "example" }, "additional_occupants": { "no_of_occupants": [ { "occupation_of_occupants": "example" } ], "level_2_Feild": "example", "level_2_Label": "example", "level_1_Label": "example", "level_1_key": "example", "level_2_key": "example", "formType": "example", "Label": "example", "value": "example" }, "pets": { "level_2_Feild": "example", "level_2_Label": "example", "level_1_Label": "example", "level_2_key": "example", "level_1_key": "example", "no_of_pets": [ { "type_of_pets": "example" } ], "formType": "example", "Label": "example", "value": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
occupation
required
string
marital_status
string
partners_occupation
string
additional_information
required
string
smoker
required
object
formType
string
Label
string
value
required
string
rented_accomodation
required
object
formType
string
Label
string
value
required
string
children
required
object
no_of_children
Array<object>
object
age_of_children
required
string
level_2_Label
string
level_1_Label
string
level_2_key
string
level_1_key
string
formType
string
Label
string
value
string
additional_occupants
required
object
no_of_occupants
Array<object>
object
occupation_of_occupants
required
string
level_2_Feild
string
level_2_Label
string
level_1_Label
string
level_1_key
string
level_2_key
string
formType
string
Label
string
value
string
pets
required
object
level_2_Feild
string
level_2_Label
string
level_1_Label
string
level_2_key
string
level_1_key
string
no_of_pets
required
Array<object>
object
type_of_pets
required
string
formType
string
Label
string
value
string
Examplegenerated
{ "occupation": "example", "marital_status": "example", "partners_occupation": "example", "additional_information": "example", "smoker": { "formType": "example", "Label": "example", "value": "example" }, "rented_accomodation": { "formType": "example", "Label": "example", "value": "example" }, "children": { "no_of_children": [ { "age_of_children": "example" } ], "level_2_Label": "example", "level_1_Label": "example", "level_2_key": "example", "level_1_key": "example", "formType": "example", "Label": "example", "value": "example" }, "additional_occupants": { "no_of_occupants": [ { "occupation_of_occupants": "example" } ], "level_2_Feild": "example", "level_2_Label": "example", "level_1_Label": "example", "level_1_key": "example", "level_2_key": "example", "formType": "example", "Label": "example", "value": "example" }, "pets": { "level_2_Feild": "example", "level_2_Label": "example", "level_1_Label": "example", "level_2_key": "example", "level_1_key": "example", "no_of_pets": [ { "type_of_pets": "example" } ], "formType": "example", "Label": "example", "value": "example" }}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
object
data
required
status
required
boolean
Examplegenerated
{ "data": "example", "status": true}